
.widget.simple-modal {
    position: fixed;
    transform: translate(-50%, -50%);
    left: 50%;
    top: 50%;
    min-width: 500px;
    min-height: 200px;
    background-color: white;
    border-radius: 16px;
    padding: 16px;
    z-index: 101;
    display: flex;
    align-items: center;
    flex-direction: column;
    max-height: 95vh;
    overflow: auto;
    gap: 10px;
    scrollbar-width: none; /* Firefox */
    -ms-overflow-style: none; /* IE и Edge */
}

.widget.simple-modal::-webkit-scrollbar {
    display: none; /* Chrome, Safari, Opera */
}

.widget.simple-modal .close-button {
    border-radius: 8px; 
    border: none; 
    background-color: #0052a0; 
    color: white; 
    padding: 8px 20px; 
    width: 100%;
    margin-top: auto;
}

.overlay {
    position: fixed;
    width: 100%;
    height: 100%;
}

.overlay.active {
    top: 0;
    left: 0;
    background-color: black;
    opacity: 0.6;
    z-index: 100;
}

.modal-widget {
    position: fixed;
    z-index: 101;
    transform: translate(-50%, -50%);
    left: 50%;
    top: 50%;
}